classification
Title: Have importlib use os.replace()
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: brett.cannon, eric.snow, pitrou, python-dev
Priority: normal Keywords: needs review, patch

Created on 2012-02-07 14:26 by brett.cannon, last changed 2012-02-17 14:29 by brett.cannon. This issue is now closed.

Files
File name Uploaded Description Edit
importlib_replace.diff neologix, 2012-02-09 19:52
Messages (3)
msg152810 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2012-02-07 14:26
The new os.replace() function should be used by importlib.
msg153548 - (view) Author: Roundup Robot (python-dev) Date: 2012-02-17 14:27
New changeset de6703671386 by Brett Cannon in branch 'default':
Have importlib use os.replace() for atomic renaming.
http://hg.python.org/cpython/rev/de6703671386
msg153549 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2012-02-17 14:29
Thanks for the patch, Charles-Fran├žois!
History
Date User Action Args
2012-02-17 14:29:41brett.cannonsetstatus: open -> closed
resolution: fixed
messages: + msg153549

stage: commit review -> resolved
2012-02-17 14:27:20python-devsetnosy: + python-dev
messages: + msg153548
2012-02-16 18:58:41neologixsetstage: patch review -> commit review
2012-02-10 18:23:49neologixsetnosy: + pitrou
2012-02-10 06:50:14eric.snowsetnosy: + eric.snow
2012-02-09 19:52:09neologixsetkeywords: + patch, needs review
files: + importlib_replace.diff
stage: patch review
2012-02-07 14:26:35brett.cannoncreate